<div class="VisualContainer" [class.Winners]="ViewMode == 'Winners'">
  <div class="Header">
    <div class="Name">SERIE #{{selectedGame || (currentGame$ | async)}}</div>
    <div class="Throw">{{getCurrentFrames(1)}}</div>
    <div class="Throw" [class.hidden]="getCurrentFrames(1) == 10">{{getCurrentFrames(2)}}</div>
    <div class="Throw" [class.hidden]="getCurrentFrames(1) == 10  || getCurrentFrames(1) == 9">{{getCurrentFrames(3)}}</div>
    <div class="Throw Total">
      TOT.
    </div>
  </div>
  <div *ngFor="let player of players$ | async; let i = index" class="Row" [class.Winner]="i < 3" [class.Last]="i==2">
    <div class="Position">
      {{player.position}}
    </div>
    <div class="Player" [class.Red]="groups[player.playerName] == 2">
      <div class="Name">{{getPlayerName(player.playerName)}}</div>
      <div class="Throw Odd">
        <div class="Highlight" [class.Active]="getCurrentFrames(0) === getPlayerLastThrow(player) || ((getPlayerScore(player, 0) === 'X' && getCurrentFrames(0) === getPlayerLastThrow(player) - 1))">{{getPlayerScore(player, 0)}}</div>
      </div>
      <div class="Throw" [class.hidden]="getCurrentFrames(1) == 10">
        <div class="Highlight" [class.Active]="getCurrentFrames(1) === getPlayerLastThrow(player) || ((getPlayerScore(player, 1) === 'X' && getCurrentFrames(1) === getPlayerLastThrow(player) - 1))">{{getPlayerScore(player, 1)}}</div>
      </div>
      <div class="Throw Odd" [class.hidden]="getCurrentFrames(1) == 10 || getCurrentFrames(1) == 9">
        <div class="Highlight" [class.Active]="getCurrentFrames(2) === getPlayerLastThrow(player)">{{getPlayerScore(player, 2)}}</div>
      </div>
      <div class="Throw Total">
        <div class="Highlight">{{player.score}}</div>
      </div>
    </div>
  </div>
</div>


<div class="ConfigurationContainer">
  <div class="Row">
    <div class="InputGroup">
      <div class="Header">View Mode</div>
      <label for="Normal">Group Mode
        <input id="Normal" name="ViewMode" type="radio" value="Normal" [(ngModel)]="ViewMode">
      </label>

      <label for="Winners">Finish Mode
        <input id="Winners" name="ViewMode" type="radio" value="Winners" [(ngModel)]="ViewMode">
      </label>
    </div>

    <div class="InputGroup">
      <div class="Header">Select Game</div>
      <select [(ngModel)]="selectedGame">
        <option value="">Auto</option>
        <option *ngFor="let val of gamesArray; let i = index" [value]="i + 1">Game {{i+1}}</option>
      </select>
    </div>

    <div class="InputGroup">
      <div class="Header">Select Start Frame</div>
      <select [(ngModel)]="startFrame">
        <option value="-1">Auto</option>
        <option *ngFor="let val of framesArray; let i = index" [value]="i">Frame {{i+1}}</option>
      </select>
    </div>
    <div class="InputGroup">
      <div class="Header">Set Delay</div>
      <div class="Row">
        <input type="text" [(ngModel)]="delay">
        <button (click)="applyDelay()">Apply</button>
      </div>
    </div>
  </div>
  <table>
    <thead>
    <tr>
      <th>Name</th>
      <th>Display Name</th>
      <th>Group 1</th>
      <th>Group 2</th>
    </tr>
    </thead>
    <tbody>
      <tr *ngFor="let player of players$ | async; let i = index">
        <td>
          {{player.playerName}}
        </td>
        <td>
          <input type="text" [(ngModel)]="displayNames[player.playerName]">
        </td>
        <td>
          <input type="radio" [name]="'Group'+i" value="1" [(ngModel)]="groups[player.playerName]"/>
        </td>
        <td>
          <input type="radio" [name]="'Group'+i" value="2" [(ngModel)]="groups[player.playerName]"/>
        </td>
      </tr>
    </tbody>
  </table>
</div>
